<!DOCTYPE HTML PUBLIC "-//W3C/DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@taglib uri="http://www.esri.com/adf/web" prefix="a"%>
<%@ page language="java" import="java.util.Locale" %>

<html>
  <head>
    <title>Layer Attributes</title>
  </head>
  <script type="text/javascript" language="Javascript" src="js/layerAttributes.js"></script>
  
    <link rel="stylesheet" href="css/esri_styles.css" type="text/css" media="screen"></link>
    <script type="text/javascript" language="javascript" src="js/esri/dojo/dojo.js" djConfig="locale:'<%=Locale.getDefault().toString().replace('_', '-').toLowerCase()%>' "></script>
    <script type="text/javascript">
      adfdojo.require("adf.adf");
      adfdojo.requireLocalization("resource","adf");
    </script>

  <body onload="init();">
    <f:view>
      <h:form id="mapForm">
        <a:context value="#{mapContext}" />
        <table>
          <tbody>
            <tr>
              <!-- Add toc control displaying 'Show Layer Attributes' toc context menu -->
              <td rowspan="2"><a:toc id="toc" mapId="map" value="#{mapContext.webToc}" style="width:200px; height:400px;" /></td>
              <td>
            		<a:task id="mapToolsTask"
                    value="#{mapContext.attributes.webappMapToolsTask}"
                    taskInfo="#{mapContext.attributes.webappMapToolsTask.taskInfo}"
                    mapId="map" windowingSupport="false"
                    style="padding:0px;margin:0px;" xslFile="maptoolstask.xsl" /> 
              </td>
            </tr>
            <tr>
            	<td>
            		<a:map id="map" value="#{mapContext.webMap}" width="400" height="400" />
            	</td>
            </tr>
          </tbody>
        </table>
        <!-- Div to display attributes of resulting features -->
        <div id="attrDiv" style="overflow:auto; width:600px; height:200px;">
          <table border="1" class="table1" >
            <tr><td>
              <h:outputText value="#{mapContext.attributes['myattr']}" />
            </td></tr>
          </table>
        </div>
      </h:form>
    </f:view>
  </body>
</html>
